A true SSLContext object is not available.

今天在使用requests发起https的时候,发生如下错误:

经查询导致这个的原因是Python 2.7.9之前提供的SSL环境不够安全(原来SSL库弱爆了,连CRL也没校验,2.7.9 backport了SSLContext保存CS通信中的证书以供各种校验)

解决方案:

1、升级到最新版本的Python

同样的2.7版本只要覆盖安装即可,比如我之前的是2.7.5升级到2.7.11,先前下载的包都不会有任何的影响。

2、安装requests[security](未测试)

或直接安装如下内容:

Requests 自动将pyopenssl 加入到 urllib3

如果使用的是Ubuntu系统,安装pyopenssl可能需要如下依赖:

3、升级requests到2.5.3(未测试)

版本更新内容:http://fossies.org/diffs/requests/2.5.3_vs_2.6.0/requests/packages/urllib3/util/ssl_.py-diff.html

4、禁止警告提示(未测试)

如果你测试通过,期待你的回复

微信支付标点符 wechat qrcode
支付宝标点符 alipay qrcode

使用Python检测符号及乱码字符

最近在进行关键词的分析,中间涉及到对一些特殊的字符进行过滤的需求。包括带符号的(有部分还是SQL注入),并且存

PHP版本升级记录(7.0到7.4)

服务器上原先安装的版本为PHP 7.0.33, WordPress后台建议安装的最小版本为7.3,所以打算直接

WordPress LaTeX插件更换记录

由于自己的博客要插入很多的公式,所以需要依赖LaTeX插件来帮忙实现。先前一直使用的是WP QuickLaTe

发表评论

电子邮件地址不会被公开。 必填项已用*标注